<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.distributable-web.routing.infinispan">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache-container,cache"/>
        <elem name="addr-params" value="profile,subsystem,routing"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.distributable-web"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.web.routing-provider"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.default-cache-configuration.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$cache" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.distributable-web"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cache-container"/>
        <param name="subsystem" feature-id="true" default="distributable-web"/>
        <param name="routing" feature-id="true" default="infinispan"/>
        <param name="cache" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>